/*
 * Copyright(C) OASIS(R) 2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 */
package client_bjm;

import org.junit.Ignore;
import org.junit.Test;

import client.BaseJAXWSTestRunner;
import client.TestConfiguration;
import testClient.TestInvocation;

/** 
 * Client for BJM_3014C_TestCase
 * 
 * If the @create attribute value for a destination, connectionFactory or activationSpec
 * element is "ifNotExist" and the @jndiName attribute refers to an existing resource that
 * is not a JMS Destination of the approprate type, a JMS connection factory or a JMS
 * activation spec respectively then the SCA runtime MUST raise an error
 * 
 * This is the test for connectionFactory
 * 
 * This test uses the JAXWS test runner as no JMS messages are sent or received.
 */
public class BJM_3014C_TestCase extends BaseJAXWSTestRunner {

    protected TestConfiguration getTestConfiguration() {
    	TestConfiguration config = new TestConfiguration();
    	config.testName          = this.getClass().getSimpleName().substring(0, 9);
    	config.input             = "request";
    	config.output[0]         = "exception";
    	config.composite         = "Test_" + config.testName + ".composite";
    	config.testServiceName 	 = "TestClient";
    	config.contributionNames = new String[] { "BJM_3014C", "BJM_General", "BJM_General" + _Lang };
    	config.serviceInterface  = TestInvocation.class;
     	return config;
    }
    
    /**
     * Dummy method to ensure that things work with JUnit 3 eg within Eclipse Ganymede
     */
    @Ignore
    @Test
    public void testFoo() throws Exception {  	
    }
    
} // end class BJM_3014C_TestCase
