/*
 * Copyright(C) OASIS(R) 2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 */
package client_bjm;

import org.junit.Test;
import org.junit.Ignore;

import client.BaseJAXWSTestRunner;
import client.TestConfiguration;
import testClient.TestInvocation;

/**
 * Client for BJM_3020_TestCase
 * 
 * The activationSpec element MUST NOT be present when the binding is being used for
 * an SCA reference
 *  
 * This test uses the JMS test runner to send a JMS message to the test composite's service.
 */
public class BJM_3020_TestCase extends BaseJAXWSTestRunner {

    protected TestConfiguration getTestConfiguration() {
    	JMSTestConfiguration config = new JMSTestConfiguration();
    	config.testName          = this.getClass().getSimpleName().substring(0, 8);
    	config.input             = "request";
    	config.output[0]         = "exception";
    	config.composite         = "Test_" + config.testName + ".composite";
    	config.testServiceName   = "TestClient";
    	config.contributionNames = new String[] { "BJM_3020", "BJM_General", "BJM_General" + _Lang };
    	config.serviceInterface  = TestInvocation.class;
 
    	return config;
    }
    
    /**
     * Dummy method to ensure that things work with JUnit 3 eg within Eclipse Ganymede
     */
    @Ignore
    @Test
    public void testFoo() throws Exception {  	
    }
    
} // end class BJM_3020_TestCase
