/*
 * Copyright(C) OASIS(R) 2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 */
package client_bjm;

import org.junit.Ignore;
import org.junit.Test;

import client.TestConfiguration;

/**
 * Client for BJM_3031_TestCase
 * 
 * The resourceAdapter element MUST be present when JMS resources are to be created for a JMS
 * provider that implements the JCA 1.5 Specification [JCA15] specification, and is ignored otherwise
 * 
 * This test uses the JMS test runner to send a JMS message to the test composite's service.
 */
public class BJM_3031_TestCase extends BaseJMSTestRunner {

    protected TestConfiguration getTestConfiguration() {
    	JMSTestConfiguration config = new JMSTestConfiguration();
    	config.testName          = this.getClass().getSimpleName().substring(0, 8);
    	config.input             = "BJM_3031 request message";
    	config.output[0]         = "<?xml version=\"1.0\" encoding=\"UTF-8\"?><return>service1 operation1 invoked with BJM_3031 request message</return>";
    	config.composite         = "Test_" + config.testName + ".composite";
//    	config.testServiceName   = "TestClient";
    	config.contributionNames = new String[] { "BJM_3031", "BJM_General", "BJM_General" + _Lang };
//    	config.serviceInterface  = TestInvocation.class;

    	config.destinationName   = "TEST_BJM_3031_Queue";

    	return config;
    }
    
    /**
     * Dummy method to ensure that things work with JUnit 3 eg within Eclipse Ganymede
     */
    @Ignore
    @Test
    public void testFoo() throws Exception {  	
    }
    
} // end class Test_BJM_3029
