/*
 * Copyright(C) OASIS(R) 2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 */
package client_bjm;

import org.junit.Test;
import org.junit.Ignore;

import client.BaseJAXWSTestRunner;
import client.TestConfiguration;
import testClient.TestInvocation;

/**
 * Client for BJM_3036_TestCase
 * 
 * The binding.jms element MUST conform to the XML schema defined in sca-bindingjms-1.1.xsd
 * 
 * Supposed to fail
 */
public class BJM_3036_TestCase extends BaseJAXWSTestRunner {

    protected TestConfiguration getTestConfiguration() {
    	JMSTestConfiguration config = new JMSTestConfiguration();
    	config.testName          = this.getClass().getSimpleName().substring(0, 8);
    	config.input             = "request";
    	config.output[0]         = "exception";
    	config.composite         = "Test_" + config.testName + ".composite";
    	config.testServiceName   = "TestClient";
    	config.contributionNames = new String[] { "BJM_3036", "BJM_General", "BJM_General" + _Lang };
    	config.serviceInterface  = TestInvocation.class;
 
    	return config;
    }
    
    /**
     * Dummy method to ensure that things work with JUnit 3 eg within Eclipse Ganymede
     */
    @Ignore
    @Test
    public void testFoo() throws Exception {  	
    }
    
} // end class BJM_3036_TestCase
